<?xml version="1.0" encoding="utf-8"?>
<androidx.coordinatorlayout.widget.CoordinatorLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/emailCoordinatorLayout"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context="ml.talkntrade.android.activities.EmailActivity">

    <LinearLayout
        android:id="@+id/emailLinealLayout"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        android:padding="8dp"
        android:visibility="gone">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/emailTextView"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/email_hint"
                android:textSize="18sp"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/unverifiedTextView"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="8dp"
                android:text="@string/unverified"
                android:textColor="@android:color/holo_red_dark"
                android:visibility="gone" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/verifyEmailLayout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            android:orientation="vertical"
            android:visibility="gone"
            app:layout_constraintBottom_toTopOf="@id/sendEmailVerificationCodeButtom"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/emailTextView">

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="@string/verification_code" />

            <EditText
                android:id="@+id/verificationCodeEditText"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:ems="10"
                android:hint="@string/code_hint"
                android:inputType="textPersonName"
                android:importantForAutofill="no"/>

            <Button
                android:id="@+id/verifyEmailButton"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="@string/verify_email_address" />
        </LinearLayout>

        <Button
            android:id="@+id/sendEmailVerificationCodeButtom"
            style="@style/Widget.AppCompat.Button.Borderless.Colored"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginTop="8dp"
            android:text="@string/resend_verification_code"
            android:visibility="gone"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/verifyEmailLayout" />
    </LinearLayout>

    <ProgressBar
        android:id="@+id/emailProgressBar"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:visibility="visible" />
</androidx.coordinatorlayout.widget.CoordinatorLayout>
